# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Lots of test cases.

### Changed

- Major refactoring of the scheduling mechanices. As a consequence the database dependency for caching is removed. Instead caching is performed in form of `json` files located in the configured `cache_dir` folder.

### Deprecated

- ...

### Removed

- All database related settings and dependencies. When updating from an existing deployment, remember to compare the new config files and remove relevant entries.

### Fixed

- Issue where the configuration values for `retry_delay` and `max_retries` are mixed up.

### Security

- The codebase is now audited using the security tool [Bandit](https://bandit.readthedocs.io/).

## [1.0.0-alpha3] - 2024-02-23

### Added

- Additional logging while loading playlist entries (#136)

### Changed

- Configuration using yaml instead of ini files (#120)
- Change default database password to string to avoid parsing errors (#120)
- Use datatype float instead of int for `trackDuration` (#132)

### Fixed

- Fix redundant logging while loading playlist entry (#136)
- Fix line-in source selection (#141)

## [1.0.0-alpha2] - 2023-06-19

### Added

- API responses from Steering and Tank are now cached in `cache_dir`

### Changed

- Provide properties in API schemas in CamelCase notation (aura#141)

### Removed

- Remove mail service as it will be replaced by Prometheus monitoring (engine#109)

### Fixed

- Fix an issue where the Engine version is displayed in the logs wrongly

## [1.0.0-alpha1] - 2023-02-22

Initial release.
